/* BlueDataDistributor - data distribution module from ethernet to 32 serial ports
 * version 0.1.1 date 2006-10-07
 * Copyright (C) 2006 Stefan Schuermans <stefan@blinkenarea.org>
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_checksum
#define INC_checksum

// generate a checksum
// also includes Pseudo1 and Pseudo2 in the checksum - set to 0x0000 for normal operation
// can also be used to check a checksum (returns 0 if correct)
extern unsigned short Checksum( unsigned char * pData, unsigned short Length, unsigned short Pseudo1, unsigned short Pseudo2 );

#endif // #ifdef INC_checksum

